com.lowagie.text.pdf

## Class XfaForm.Stack2

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - com.lowagie.text.pdf.XfaForm.Stack2

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Enclosing class:
  XfaForm

    public static class XfaForm.Stack2
    extends java.util.ArrayList

Another stack implementation. The main use is to facilitate the porting to other languages.

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`XfaForm.Stack2()`

### Method Summary

Methods
`boolean` `empty()` Tests if this stack is empty.
`java.lang.Object` `peek()` Looks at the object at the top of this stack without removing it from the stack.
`java.lang.Object` `pop()` Removes the object at the top of this stack and returns that object as the value of this function.
`java.lang.Object` `push(java.lang.Object item)` Pushes an item onto the top of this stack.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### XfaForm.Stack2

    public XfaForm.Stack2()

### Method Detail

#### peek

    public java.lang.Object peek()

Looks at the object at the top of this stack without removing it from the stack.

Returns:
  the object at the top of this stack

#### pop

    public java.lang.Object pop()

Removes the object at the top of this stack and returns that object as the value of this function.

Returns:
  the object at the top of this stack

#### push

    public java.lang.Object push(java.lang.Object item)

Pushes an item onto the top of this stack.

Parameters:
  `item` - the item to be pushed onto this stack
Returns:
  the `item` argument

#### empty

    public boolean empty()

Tests if this stack is empty.

Returns:
  `true` if and only if this stack contains no items; `false` otherwise